osl::eval::ml::King25EffectCountCombination Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::King25EffectCountCombination Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::King25EffectCountCombination:
[legend]

## Public Types
enum | { ONE_DIM = 100, DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<osl::Player Attack>
osl::MultiInt | evalOne (const NumEffectState &state, PieceMask king25)

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, const CArray< PieceMask, 2 > &king25)

## Static Private Member Functions
template<osl::Player Attack>
static MultiInt | evalOne (const NumEffectState &state, PieceMask king25)

## Static Private Attributes
static CArray< MultiInt, 100 > | table
static CArray< MultiInt, 900 > | y_table

## Friends
class | King25EffectCountCombinationY

## Detailed Description

Definition at line 957 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 961 of file kingTable.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::King25EffectCountCombination::eval | ( | const NumEffectState & | state,
|  | const CArray< PieceMask, 2 > & | king25
| ) |  |
| static

Definition at line 1901 of file kingTable.cc.

References osl::BLACK, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<osl::Player Attack>

static MultiInt osl::eval::ml::King25EffectCountCombination::evalOne | ( | const NumEffectState & | state,
|  | PieceMask | king25
| ) |  |
| staticprivate

template<osl::Player Attack>

osl::MultiInt osl::eval::ml::King25EffectCountCombination::evalOne | ( | const NumEffectState & | state,
|  | PieceMask | king25
| ) |  |

Definition at line 1861 of file kingTable.cc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::KNIGHT, osl::LANCE, osl::eval::min(), osl::PAWN, result, osl::ROOK, osl::SILVER, and osl::eval::ml::ppair::y_table.

void osl::eval::ml::King25EffectCountCombination::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 1841 of file kingTable.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class King25EffectCountCombinationY
| friend

Definition at line 959 of file kingTable.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 100 > osl::eval::ml::King25EffectCountCombination::table
| staticprivate

Definition at line 969 of file kingTable.h.

osl::misc::CArray< MultiInt, 900 > osl::eval::ml::King25EffectCountCombination::y_table
| staticprivate

Definition at line 970 of file kingTable.h.

Referenced by osl::eval::ml::King25EffectCountCombinationY::setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc